Searched refs:CPP (Results 1 - 25 of 136) sorted by relevance

123456

/haiku-buildtools/autoconf/man/
H A Difnames.x2 ifnames \- Extract CPP conditionals from a set of files
/haiku-buildtools/gcc/gmp/mpn/
H A Dcpp-ccas23 # Usage: cpp-cc --cpp=CPP CC ... file.S ...
25 # Process file.S with the given CPP command plus any -D options in the
29 # The CPP command must be in a single --cpp= argument, and will be
33 # which is the CPP output.
35 # Any lines starting with "#" are removed from the CPP output, usually
36 # these will be #line and #file markers from CPP, but they might also
43 CPP=
52 CPP=`echo "$i" | sed 's/^--cpp=//'`
79 if test -z "$CPP"; then
97 echo "$CPP
[all...]
H A DMakeasm.am64 # It's necessary to run $(CPP) separately, since it seems not all compilers
71 $(CPP) $(PREPROCESS_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$< | grep -v '^#' >tmp-$*.s
75 $(CPP) $(PREPROCESS_FLAGS) `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi` | grep -v '^#' >tmp-$*.s
79 $(LIBTOOL) --mode=compile --tag=CC $(top_srcdir)/mpn/cpp-ccas --cpp="$(CPP) $(PREPROCESS_FLAGS)" $(CCAS) $(COMPILE_FLAGS) `test -f '$<' || echo '$(srcdir)/'`$<
/haiku-buildtools/legacy/gcc/gcc/
H A Dscan-types.sh8 CPP=${CPP-`echo ${CC} -E -I"$1/"`}
33 if ${CPP} st-dummy.c >TMP ; then true
35 echo "scan-types: could not invoke ${CPP} on st-dummy.c" 1>&2 ; exit 1
/haiku-buildtools/legacy/gcc/libobjc/
H A Dconfigure507 ac_cpp='$CPP $CPPFLAGS'
713 ac_cpp='$CPP $CPPFLAGS'
741 ac_cpp='$CPP $CPPFLAGS'
921 # On Suns, sometimes $CPP names a directory.
922 if test -n "$CPP" && test -d "$CPP"; then
923 CPP=
925 if test -z "$CPP"; then
929 # This must be in double quotes, not single quotes, because CPP may get
931 CPP
[all...]
/haiku-buildtools/legacy/gcc/libchill/
H A Dconfigure504 ac_cpp='$CPP $CPPFLAGS'
709 ac_cpp='$CPP $CPPFLAGS'
737 ac_cpp='$CPP $CPPFLAGS'
846 # On Suns, sometimes $CPP names a directory.
847 if test -n "$CPP" && test -d "$CPP"; then
848 CPP=
850 if test -z "$CPP"; then
854 # This must be in double quotes, not single quotes, because CPP may get
856 CPP
[all...]
/haiku-buildtools/legacy/gcc/libf2c/libF77/
H A Dconfigure504 ac_cpp='$CPP $CPPFLAGS'
647 ac_cpp='$CPP $CPPFLAGS'
675 ac_cpp='$CPP $CPPFLAGS'
784 # On Suns, sometimes $CPP names a directory.
785 if test -n "$CPP" && test -d "$CPP"; then
786 CPP=
788 if test -z "$CPP"; then
792 # This must be in double quotes, not single quotes, because CPP may get
794 CPP
[all...]
/haiku-buildtools/legacy/gcc/libf2c/
H A Dconfigure504 ac_cpp='$CPP $CPPFLAGS'
709 ac_cpp='$CPP $CPPFLAGS'
737 ac_cpp='$CPP $CPPFLAGS'
943 # On Suns, sometimes $CPP names a directory.
944 if test -n "$CPP" && test -d "$CPP"; then
945 CPP=
947 if test -z "$CPP"; then
951 # This must be in double quotes, not single quotes, because CPP may get
953 CPP
[all...]
/haiku-buildtools/legacy/gcc/libf2c/libI77/
H A Dconfigure504 ac_cpp='$CPP $CPPFLAGS'
647 ac_cpp='$CPP $CPPFLAGS'
675 ac_cpp='$CPP $CPPFLAGS'
784 # On Suns, sometimes $CPP names a directory.
785 if test -n "$CPP" && test -d "$CPP"; then
786 CPP=
788 if test -z "$CPP"; then
792 # This must be in double quotes, not single quotes, because CPP may get
794 CPP
[all...]
/haiku-buildtools/legacy/gcc/libio/
H A Dgen-params57 CPP=${CPP-`echo ${CC} -E`}
214 if ${CPP} dummy.c >/dev/null 2>&1 ; then eval $hdr=1; fi
278 if ${CPP} dummy.c -DWCHAR=$wchar -DWCTYPE=$wctype >TMP ; then true
280 echo "gen-params: could not invoke ${CPP} on dummy.c" 1>&2 ; exit 1
/haiku-buildtools/legacy/gcc/libf2c/libU77/
H A Dconfigure504 ac_cpp='$CPP $CPPFLAGS'
648 ac_cpp='$CPP $CPPFLAGS'
676 ac_cpp='$CPP $CPPFLAGS'
834 # On Suns, sometimes $CPP names a directory.
835 if test -n "$CPP" && test -d "$CPP"; then
836 CPP=
838 if test -z "$CPP"; then
842 # This must be in double quotes, not single quotes, because CPP may get
844 CPP
[all...]
/haiku-buildtools/gcc/mpfr/
H A Dcompile208 *.c | *.cpp | *.CPP | *.lib | *.LIB | *.Lib | *.OBJ | *.obj | *.[oO])
/haiku-buildtools/gcc/libdecnumber/
H A DMakefile.in36 CPP = @CPP@
/haiku-buildtools/libtool/tests/
H A DMakefile.am79 CPP="$(CPP)" CPPFLAGS="$(CPPFLAGS)" LD="$(LD)" LDFLAGS="$(LDFLAGS)" \
/haiku-buildtools/legacy/binutils/intl/
H A Dconfigure508 ac_cpp='$CPP $CPPFLAGS'
616 # On Suns, sometimes $CPP names a directory.
617 if test -n "$CPP" && test -d "$CPP"; then
618 CPP=
620 if test -z "$CPP"; then
624 # This must be in double quotes, not single quotes, because CPP may get
626 CPP="${CC-cc} -E"
645 CPP="${CC-cc} -E -traditional-cpp"
662 CPP
[all...]
/haiku-buildtools/gcc/
H A Dcompile212 *.c | *.cpp | *.CPP | *.lib | *.LIB | *.Lib | *.OBJ | *.obj | *.[oO])
/haiku-buildtools/legacy/gcc/libiberty/
H A Dconfigure510 ac_cpp='$CPP $CPPFLAGS'
980 # On Suns, sometimes $CPP names a directory.
981 if test -n "$CPP" && test -d "$CPP"; then
982 CPP=
984 if test -z "$CPP"; then
988 # This must be in double quotes, not single quotes, because CPP may get
990 CPP="${CC-cc} -E"
1009 CPP="${CC-cc} -E -traditional-cpp"
1026 CPP
[all...]
/haiku-buildtools/legacy/gcc/texinfo/
H A Dconfigure513 ac_cpp='$CPP $CPPFLAGS'
913 ac_cpp='$CPP $CPPFLAGS'
941 ac_cpp='$CPP $CPPFLAGS'
1017 # On Suns, sometimes $CPP names a directory.
1018 if test -n "$CPP" && test -d "$CPP"; then
1019 CPP=
1021 if test -z "$CPP"; then
1025 # This must be in double quotes, not single quotes, because CPP may get
1027 CPP
[all...]
/haiku-buildtools/isl/
H A Dcompile212 *.c | *.cpp | *.CPP | *.lib | *.LIB | *.Lib | *.OBJ | *.obj | *.[oO])
/haiku-buildtools/binutils/
H A Dcompile212 *.c | *.cpp | *.CPP | *.lib | *.LIB | *.Lib | *.OBJ | *.obj | *.[oO])
/haiku-buildtools/gcc/libgomp/testsuite/
H A DMakefile.in74 CPP = @CPP@
/haiku-buildtools/gcc/libatomic/testsuite/
H A DMakefile.in95 CPP = @CPP@
/haiku-buildtools/gcc/libcpp/
H A DMakefile.in40 CPP = @CPP@
/haiku-buildtools/gcc/libvtv/testsuite/
H A DMakefile.in72 CPP = @CPP@
/haiku-buildtools/gcc/libvtv/testsuite/other-tests/
H A DMakefile.in69 CPP = @CPP@

Completed in 153 milliseconds

123456